package com.lagou.dao;

import com.lagou.domain.PromotionAd;

import java.util.List;

public interface PromotionAdMapper {

    /**
     * 分页查询广告信息
     * @return
     */
    List<PromotionAd> findAllPromotionAdByPage();

    /**
     * 添加广告信息
     * @param promotionAd
     */
    void savePromotionAd(PromotionAd promotionAd);

    /**
     * 更新广告信息
     * @param promotionAd
     */
    void updatePromotionAd(PromotionAd promotionAd);

    /**
     * 广告动态上下线
     * @param promotionAd
     */
    void updatePromotionAdStatus(PromotionAd promotionAd);
}
