package com.lagou.dao;

import com.lagou.domain.PromotionSpace;

import java.util.List;

public interface PromotionSpaceMapper {

    /**
     * 获取所有广告位
     * @return
     */
    List<PromotionSpace> findAllPromotionSpace();

    /**
     * 添加广告位
     * @param promotionSpace
     */
    void savePromotionSpace(PromotionSpace promotionSpace);

    /**
     * 根据Id查询广告位信息
     * @return
     */
    PromotionSpace findPromotionSpaceById(int id);

    /**
     * 更新广告位名称
     * @param promotionSpace
     */
    void updatePromotionSpace(PromotionSpace promotionSpace);
}
