package com.lagou.service;

import com.github.pagehelper.PageInfo;
import com.lagou.domain.Resource;
import com.lagou.domain.ResourceVO;

public interface ResourceService {

    /**
     * 资源分页 &
     * 多条件查询
     * @param resourceVO
     * @return
     */
    PageInfo<Resource> findAllResourceByPage(ResourceVO resourceVO);

    /**
     * 保存资源信息
     * @param resource
     */
    void saveResource(Resource resource);

    /**
     * 更新资源信息
     * @param resource
     */
    void updateResource(Resource resource);

    /**
     * 删除资源信息
     * @param id
     */
    void deleteResource(Integer id);
}
