package com.lagou.dao;

import com.lagou.domain.Resource;
import com.lagou.domain.ResourceVO;

import java.util.List;

public interface ResourceMapper {

    /**
     * 资源分页 &
     * 多条件查询
     * @return
     */
    List<Resource> findAllResourceByPage(ResourceVO resourceVO);

    /**
     * 添加资源信息
     * @param resource
     */
    void saveResource(Resource resource);

    /**
     * 更新资源信息
     * @param resource
     */
    void updateResource(Resource resource);

    /**
     * 删除资源信息
     * @param id
     */
    void deleteResource(Integer id);
}
